#ifndef __FCABackup_DOCUMENT_H__
#define __FCABackup_DOCUMENT_H__

#include <akndoc.h>

// Forward references
class CFCABackupAppUi;
class CEikApplication;

class CFCABackupDocument : public CAknDocument
    {
public:
    static CFCABackupDocument* NewL(CEikApplication& aApp);
    static CFCABackupDocument* NewLC(CEikApplication& aApp);
    ~CFCABackupDocument();

public: // from CAknDocument
    CEikAppUi* CreateAppUiL();

private:
    void ConstructL();
    CFCABackupDocument(CEikApplication& aApp);
    };


#endif // __FCABackup_DOCUMENT_H__
